ランタイム: Mix::Geometry::Frustum Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Mix::Geometry::Frustum Class Reference

フラスタムクラス More...

`#include <Frustum.h>`

## Public Types

enum | PLANE_TYPE { PLANE_NEAR = 0, PLANE_FAR = 1, PLANE_TOP = 2, PLANE_BOTTOM = 3, PLANE_LEFT = 4, PLANE_RIGHT = 5 }
| プレーンタイプ列挙定数 More...

## Public Member Functions

| Frustum (void)
| コンストラクタ More...
| Frustum (const Mix::Matrix4x4 &viewProjMat)
| コンストラクタ More...
void | Update (const Mix::Matrix4x4 &viewProjMat)
| 更新を行います More...
const Mix::Matrix4x4 & | GetViewProjectionMatrix (void) const
| 透視変換行列を取得します More...
const Mix::Geometry::Plane & | GetPlane (Mix::Geometry::Frustum::PLANE_TYPE type) const
| フラスタムを構成する平面を取得します More...
Boolean | Contains (const Mix::Vector3 &point) const
| 点がフラスタム内に入っているかどうかを判定します More...
Boolean | Contains (const Mix::Geometry::Sphere &sphere) const
| 球がフラスタム内に入っているかどうかを判定します More...
Boolean | ContainsTBLR (const Mix::Geometry::Sphere &sphere) const
| 球がフラスタム内に入っているかどうかを判定します( Top Bottom Left Right ) More...
Boolean | Contains (const Mix::Geometry::AABB &aabb) const
| AABBがフラスタム内に入っているかどうかを判定します More...
Boolean | ContainsTBLR (const Mix::Geometry::AABB &aabb) const
| AABBがフラスタム内に入っているかどうかを判定します( Top Bottom Left Right ) More...

## Detailed Description

フラスタムクラス

## Member Enumeration Documentation

enum Mix::Geometry::Frustum::PLANE_TYPE

プレーンタイプ列挙定数

Enumerator
PLANE_NEAR | 手前
PLANE_FAR | 奥
PLANE_TOP | 上
PLANE_BOTTOM | 下
PLANE_LEFT | 左
PLANE_RIGHT | 右

## Constructor & Destructor Documentation

Mix::Geometry::Frustum::Frustum | ( | void |  | ) |

コンストラクタ

Mix::Geometry::Frustum::Frustum | ( | const Mix::Matrix4x4 & | viewProjMat | ) |

コンストラクタ

Parameters

  [in] | viewProjMat | 透視変換行列を表す Mix::Matrix4x4 クラス

## Member Function Documentation

void Mix::Geometry::Frustum::Update | ( | const Mix::Matrix4x4 & | viewProjMat | ) |

更新を行います

const Mix::Matrix4x4& Mix::Geometry::Frustum::GetViewProjectionMatrix | ( | void |  | ) | const

透視変換行列を取得します

Returns
  透視変換行列を表す Mix::Matrix4x4 クラスを返します

const Mix::Geometry::Plane& Mix::Geometry::Frustum::GetPlane | ( | Mix::Geometry::Frustum::PLANE_TYPE | type | ) | const

フラスタムを構成する平面を取得します

Parameters

  [in] | type | Mix::Geometry::Frustum::PLANE_TYPE 列挙定数

Returns
  平面を表す Mix::Geometry::Plane クラスを返します

Boolean Mix::Geometry::Frustum::Contains | ( | const Mix::Vector3 & | point | ) | const

点がフラスタム内に入っているかどうかを判定します

Parameters

  [in] | point | 点を表す Mix::Vector3 クラス

Returns
  点がフラスタム内に入っている場合は True を返します

Boolean Mix::Geometry::Frustum::Contains | ( | const Mix::Geometry::Sphere & | sphere | ) | const

球がフラスタム内に入っているかどうかを判定します

Parameters

  [in] | sphere | 球を表す Mix::Geometry::Sphere クラス

Returns
  球がフラスタム内に入っている場合は True を返します

Boolean Mix::Geometry::Frustum::ContainsTBLR | ( | const Mix::Geometry::Sphere & | sphere | ) | const

球がフラスタム内に入っているかどうかを判定します( Top Bottom Left Right )

Parameters

  [in] | sphere | 球を表す Mix::Geometry::Sphere クラス

Returns
  球がフラスタム内に入っている場合は True を返します

Boolean Mix::Geometry::Frustum::Contains | ( | const Mix::Geometry::AABB & | aabb | ) | const

AABBがフラスタム内に入っているかどうかを判定します

Parameters

  [in] | aabb | AABBを表す Mix::Geometry::AABB クラス

Returns
  AABBがフラスタム内に入っている場合は True を返します

Note
  事前に Mix::Geometry::AABB::ComputePoints を実行しておく必要があります

Boolean Mix::Geometry::Frustum::ContainsTBLR | ( | const Mix::Geometry::AABB & | aabb | ) | const

AABBがフラスタム内に入っているかどうかを判定します( Top Bottom Left Right )

Parameters

  [in] | aabb | AABBを表す Mix::Geometry::AABB クラス

Returns
  AABBがフラスタム内に入っている場合は True を返します

Note
  事前に Mix::Geometry::AABB::ComputePoints を実行しておく必要があります

The documentation for this class was generated from the following file:

- Mix/Geometry/Frustum.h